This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1475022 - Pulling ose-keepalived-ipfailover:v3.6.170 image failed
Pulling ose-keepalived-ipfailover:v3.6.170 image failed
Status: ASSIGNED
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
3.6.0
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Vikram Goyal
Vikram Goyal
Vikram Goyal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-25 17:09 EDT by Weibin Liang
Modified: 2017-07-26 14:46 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Scott Dodson 2017-07-26 14:15:00 EDT
You need to set --images='registry.ops.openshift.com/openshift3/ose-${component}:${version}'

oadm router / registry / ipfailover have never been smart enough to query the API for image name expansion so you have to pass it in to the command line.
Comment 2 Scott Dodson 2017-07-26 14:15:36 EDT
# oadm ipfailover ipf-har --replicas=1 --watch-port 80 --selector="infra=ha-router" --virtual-ips="172.18.1.153" --service-account=admin --images='registry.ops.openshift.com/openshift3/ose-${component}:${version}' -o yaml | grep 'image:'

          image: registry.ops.openshift.com/openshift3/ose-keepalived-ipfailover:v3.6.170
Comment 3 Weibin Liang 2017-07-26 14:45:02 EDT
If --images='registry.ops.openshift.com/openshift3/ose-${component}:${version}' is mandatory option to deploy ipfailover pod, we may need update this in our documents in https://docs.openshift.com/container-platform/3.5/admin_guide/high_availability.html and documents for 3.6 release


## Test passed with --image option

[root@ip-172-18-3-177 ~]# oadm ipfailover ipf-har --replicas=1 --watch-port=80 --selector="infra=ha-router" --virtual-ips="172.18.1.153" --service-account=harp --images='registry.ops.openshift.com/openshift3/ose-${component}:${version}'
--> Creating IP failover ipf-har ...
    error: serviceaccounts "harp" already exists
    deploymentconfig "ipf-har" created
--> Failed
[root@ip-172-18-3-177 ~]# oc get pods
NAME               READY     STATUS              RESTARTS   AGE
ipf-har-1-deploy   1/1       Running             0          7s
ipf-har-1-gvmzs    0/1       ContainerCreating   0          1s
[root@ip-172-18-3-177 ~]# oc get pods
NAME              READY     STATUS    RESTARTS   AGE
ipf-har-1-gvmzs   1/1       Running   0          27s
[root@ip-172-18-3-177 ~]#

Note You need to log in before you can comment on or make changes to this bug.